## NAME

curl_unescape - URL decodes the given string

## SYNOPSIS

#include <curl/curl.h>

char *curl_unescape( char * url , int length );

## DESCRIPTION

Obsolete function. Use curl_easy_unescape(3) instead!

This function will convert the given URL encoded input string to a "plain string" and return that as a new allocated string. All input characters that are URL encoded (%XX where XX is a two-digit hexadecimal number) will be converted to their plain text versions.

If the 'length' argument is set to 0, curl_unescape() will use strlen() on the input 'url' string to find out the size.

You must curl_free() the returned string when you're done with it.

## AVAILABILITY

Since 7.15.4, curl_easy_unescape(3) should be used. This function will be removed in a future release.

## RETURN VALUE

A pointer to a zero terminated string or NULL if it failed.

## SEE ALSO

curl_easy_escape(3), curl_easy_unescape(3), curl_free(3), RFC 2396

This HTML page was made with roffit.